<?php

/**
 * Cart overrides settings form
 */
function commerce_cart_view_override_admin_settings($form, &$form_state) {
  // Get all eligible view options
  $cart_view_options = commerce_cart_view_override_options_list();

  $description = t('A cart page view must have: <ol><li>A base table of Commerce Order</li><li>The first contextual filter (argument) must be a Commerce Order ID with an argument id that starts with "order_id"</li></ol>');
  if (empty($cart_view_options)) {
    $form['commerce_cart_view_override_page_view_none'] = array('#markup' => t('No eligible views found.') . '<br />' . $description);
    return $form;
  }

  $form['commerce_cart_view_override_page_view'] = array(
    '#type' => 'select',
    '#title' => t('Cart page view'),
    '#description' => $description,
    '#options' => $cart_view_options,
    '#default_value' => variable_get('commerce_cart_view_override_page_view', 'commerce_cart_form'),
  );

  return system_settings_form($form);
}
